#include <cstdio>
#include <iostream>

using namespace std;

typedef unsigned long long int b_int;

int n, m, k;
b_int BC[64][64];

void solve()
{
	b_int answer=0;
	
	BC[0][0]=1;
	BC[1][0]=1;
	BC[1][1]=1;
	for (int i=2; i<=n; ++i)
		for (int j=0; j<=i; ++j)
			if (!j) 
				BC[i][j]=1;
			else
				BC[i][j]=BC[i-1][j-1]+BC[i-1][j];
	for (int i=k; i<=n; ++i)
		answer+=BC[i][m];
		
	cout << answer << endl;
}

inline void input()
{
	scanf("%d%d%d", &m, &k, &n);
}

int main()
{
	input();
	solve();
return 0;
}
